/* --- Copyright University of Sussex 1998.  All rights reserved. ---------
 > File:           C.all/lib/lib/int_parameters.p
 > Purpose:        Define some useful (?) integer constants
 > Author:         John Williams, Jan 19 1987 (see revisions)
 > Documentation:  REF *NUMBERS
 > Related Files:  LIB *FLOAT_PARAMETERS
 */
compile_mode :pop11 +strict;

section;

lvars n = 1;

until isbiginteger(n) do n << 1 -> n enduntil;

constant
	pop_max_int =  (n - 1),
	pop_min_int =  (0 - n),
	;

endsection;



/* --- Revision History ---------------------------------------------------
--- John Gibson, Oct 15 1998
		Tidied up
 */
